import { createRouter, createWebHistory } from 'vue-router'
const UserView = () => import('../views/UserView.vue')
const PageNotFound = () => import('../views/PageNotFound.vue')
const PrivacyPageView = () => import('../views/PrivacyPageView.vue')
const HomepageView = () => import('../views/HomepageView.vue')
const CategoryView = () => import('../views/CategoryView.vue')
const SearchPageView = () => import('../views/SearchPageView.vue')

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      component: HomepageView
    },
    {
      path: '/search',
      component: SearchPageView
    },
    {
      path: '/game/:game',
      component: CategoryView
    },
    {
      path: '/privacy',
      name: 'about',
      component: PrivacyPageView
    },
    {
      path: '/:username',
      component: UserView
    },
    { path: '/:pathMatch(.*)*', component: PageNotFound }
  ]
})

export default router
